class ArrayBubble{
    private long[] a;   //ссылка на массив
    private int elems;  //количество элементов в массиве

    public ArrayBubble(int max){
        a = new long[max];
        elems = 0;
    }

    public void into(long value){
        a[elems] = value;
        elems++;
    }

    public void printer(){
        for (int i = 0; i < elems; i++){
            System.out.print(a[i] + " ");
            System.out.println(" ");
        }
        System.out.println("---------------");
    }

    private void toSwap(int first, int second){
        long dummy = a[first];
        a[first] = a[second];
        a[second] = dummy;
    }

    public void bubbleSorter(){
        for (int j = elems - 1; j >= 1; j--){
            for (int i = 0; i < j; i++){
                if(a[i] > a[i + 1])
                    toSwap(i, i + 1);
            }
        }
    }
}